Bug 457033 - yum install of jruby 1.1.3-1 has broken classpath
yum install of jruby 1.1.3-1 has broken classpath
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: jruby (Show other bugs)
9
i686 Linux
low Severity high
: ---
: ---
Assigned To: Conrad Meyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-29 06:37 EDT by Ian Dickinson
Modified: 2008-07-30 06:49 EDT (History)
0 users

See Also:
Fixed In Version: 9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-30 06:49:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Dickinson 2008-07-29 06:37:53 EDT
1. yum install jruby
2. jruby -v

jruby 1.1.3 (ruby 1.8.6 patchlevel 114) (2008-07-21 rev 6586) [i386-java]
Exception in thread "main" java.lang.NoClassDefFoundError:
org/jruby/ext/posix/POSIXHandler
	at org.jruby.Ruby.init(Ruby.java:854)
	at org.jruby.Ruby.newInstance(Ruby.java:158)
	at org.jruby.Main.run(Main.java:164)
	at org.jruby.Main.run(Main.java:91)
	at org.jruby.Main.main(Main.java:82)
Comment 1 Conrad Meyer 2008-07-29 23:25:02 EDT
OK, I think I found the problem and fixed it in 1.1.3-2. You can get it from Koji
at [0]. I appreciate any feedback. Thanks!

[0]: http://koji.fedoraproject.org/koji/taskinfo?taskID=747132
Comment 2 Ian Dickinson 2008-07-30 04:49:05 EDT
I've downloaded the updated RPM from Koji and verified that the
NoClassDefFoundError no longer appears. Thanks!

Ian
Comment 3 Conrad Meyer 2008-07-30 06:49:25 EDT
As it seems to work here and seems to work for you, I'm closing the bug. Thanks!

Note You need to log in before you can comment on or make changes to this bug.